DocumentationAPI referenceDecode a DIGIPIN

SATIK API · V1 BETA

Decode a DIGIPIN

Decode a DIGIPIN

GET

https://api.satik.in/v1/digipin/{digipin}

Use a server-side Bearer API key. Authentication guide →

Parameters

Endpoint parameters
ParameterRequirement and type
DigipindigipinRequired · path parameter · string.
Full parameter schema
[
  {
    "name": "digipin",
    "in": "path",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Responses and errors

HTTP 200
{
  "description": "Success",
  "content": {
    "application/json": {
      "schema": {
        "type": "object",
        "properties": {
          "digipin": {
            "type": "string"
          },
          "center": {
            "type": "object",
            "properties": {
              "lat": {
                "type": "number"
              },
              "lng": {
                "type": "number"
              }
            }
          },
          "bbox": {
            "type": "object",
            "properties": {
              "min_lat": {
                "type": "number"
              },
              "max_lat": {
                "type": "number"
              },
              "min_lng": {
                "type": "number"
              },
              "max_lng": {
                "type": "number"
              }
            }
          }
        }
      }
    }
  }
}
HTTP 400
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 401
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 403
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 409
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 422
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 429
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 500
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 502
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 503
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}
HTTP 504
{
  "description": "Request failed. Inspect error.code and request_id.",
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/Error"
      }
    }
  }
}

View shared schemas →